<template>
  <b-container id="register">
    <b-row>
      <b-col></b-col>
      <b-col>
        <b-form @submit="onSubmit">
          <b-form-group id="input-group-1" label="Create admin user:" label-for="input-1">
            <b-form-input
              id="input-1"
              v-model="form.email"
              type="email"
              required
              placeholder="Enter email"
            ></b-form-input>
          </b-form-group>
          <br>
          <b-form-group>
            <b-input
              type="password"
              placeholder="Enter password"
              v-model="form.password"
              id="text-password"
              aria-describedby="password-help-block"
            ></b-input>
          </b-form-group>
          <b-button id="button" type="submit" variant="primary">Submit</b-button>
          <b-button id="button" type="reset" variant="danger">Reset</b-button>
        </b-form>
      </b-col>
      <b-col></b-col>
    </b-row>
  </b-container>
</template>

<script>
export default {
  name: "CreateAdminUserPage",
  data() {
    return {
      form: {
        email: "",
        password: ""
      }
    };
  },
  methods: {
    onSubmit(evt) {
      evt.preventDefault();
      let form = this.form;
      let bvToast = this.$bvToast;
      let router = this.$router;

      let data = {
        form,
        bvToast,
        router
      };

      this.$store.dispatch("register/registerAdminUser", data);
    }
  }
};
</script>

<style>
#register {
  margin-top: 60px;
  background-color: #a3e4d7;
  padding: 25px;
}

#button {
  margin-right: 15px;
}
</style>
